
=head1 LICENSE

See the NOTICE file distributed with this work for additional information
regarding copyright ownership.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

     http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

=cut

=head1 CONTACT

Please email comments or questions to the public Ensembl
developers list at <http://lists.ensembl.org/mailman/listinfo/dev>.

Questions may also be sent to the Ensembl help desk at
<http://www.ensembl.org/Help/Contact>.

=cut

=head1 NAME

Bio::EnsEMBL::Compara::RunnableDB::PrepareMaster::AddSpeciesToMaster

=head1 SYNOPSIS

This runnable is used to:
    1 - run update_genome.pl


=head1 DESCRIPTION

This Analysis/RunnableDB is designed to run update_genome.pl

=cut

=head1 APPENDIX

The rest of the documentation details each of the object methods.
Internal methods are usually preceded with a "_"

=cut

package Bio::EnsEMBL::Compara::RunnableDB::PrepareMaster::AddSpeciesToMaster;

use strict;
use warnings;

# use File::Find;
# use LWP::Simple;

use Bio::EnsEMBL::Compara::Utils::MasterDatabase;
use Bio::EnsEMBL::Hive::Utils ('go_figure_dbc');

use base ('Bio::EnsEMBL::Compara::RunnableDB::BaseRunnable');

sub param_defaults {
    return {
             'force' => 0,
         };
}

sub fetch_input {
    my ($self) = @_;

    my $master_dba = $self->get_cached_compara_dba('master_db');
    $self->param( 'master_dba', $master_dba);
}

sub write_output{
    my $self = shift @_;

    my $new_genome_dbs = [];
    push @$new_genome_dbs, @{ Bio::EnsEMBL::Compara::Utils::MasterDatabase::update_genome($self->param('master_dba'), $self->param('species_name'), -RELEASE => $self->param('release'), -FORCE => $self->param('force') ) };
}

1;
